<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="title"
            type="String" />

        <variable
            name="subTitle"
            type="String" />

        <variable
            name="textButtonLeft"
            type="String" />

        <variable
            name="textButtonRight"
            type="String" />


        <variable
            name="listener"
            type="com.testapptest.test.customize.dialog.IActionDialogCustom" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_rectangle_white_radius_24_dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_16"
            android:ellipsize="end"
            android:lineHeight="@dimen/dp_3"
            android:maxLines="1"
            android:text="@{title}"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            tools:text="Your heart rate is too high" />

        <TextView
            android:id="@+id/tvSubTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_8"
            android:lineHeight="@dimen/dp_3"
            android:text="@{subTitle}"
            android:textColor="@color/color_grey"
            android:textSize="@dimen/sp_14"
            tools:text="Lorem ipsum dolor sit amet, consectetur adipiscing elit." />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/dp_16"
            android:background="@color/color_grey" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:weightSum="2">

            <LinearLayout
                android:id="@+id/btnCancel"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/shape_rectangle_white_bt_left_24dp"
                android:gravity="center"
                android:paddingTop="@dimen/dp_17"
                android:paddingBottom="@dimen/dp_16"
                app:onSingleClick="@{() -> listener.onCancelConfirmed()}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:lineHeight="@dimen/dp_3"
                    android:text="@{textButtonLeft}"
                    tools:text="@string/btn_cancel"
                    android:textColor="@color/color_red"
                    android:textSize="@dimen/sp_14"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/btnSOS"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/shape_rectangle_red_bt_right_24dp"
                android:gravity="center"
                android:paddingTop="@dimen/dp_17"
                android:paddingBottom="@dimen/dp_16"
                app:onSingleClick="@{() -> listener.onSuccessConfirmed()}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:lineHeight="@dimen/dp_3"
                    tools:text="SOS"
                    android:text="@{textButtonRight}"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_14"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</layout>
